/**
 * 
 */
package org.springblade.flow.engine.enums;

import com.baomidou.mybatisplus.annotation.EnumValue;
import lombok.Getter;

/**
 * @author wookvn
 *
 */
@Getter
public enum NotifyType {

	email(0, "邮件"),

	qywechat(1, "企业微信"),

	dingtalk(2, "钉钉"),

	feishu(3, "飞书");


	@EnumValue
	private final int value;
	private final String message;
	/**
	 * @param value
	 * @param message
	 */
	private NotifyType(int value, String message) {
		this.value = value;
		this.message = message;
	}
	
	public String getName() {
		return this.name();
	}
}
